﻿This mod rebuilds the prototype version of sniper present in the files from the ground up. 
All four skills are rewritten from scratch and work significantly differently from how they did initially.  

If you have any issues contact me on the modding (or the offical) discord. (@Rein#7551) You can also visit the github link above and create issues if that tickles your fancy.

## New this update:
- Perfect reload allows shots to ricochet off walls
- Good and perfect reload allow shots to pierce through enemies
- Tracers improved once again
- Eleminated one conflict with existing content. (3 more that I know of to fix now)
- Improved headshot hitboxes for enemies
- Sniper can now be frozen by ice elites like other characters

##Install
- Delete old versions (You never know)
- Unzip the plugin zip
- Copy all files to the plugins folder in Bepinex(in your game install directory)
- Bonus points if you create a separate folder inside the plugins folder for every mod

### Uninstall
- Delete the files that come with the mod from the plugins folder


## Important note:
This mod is for the most part untested in multiplayer. While I would like to have multiplayer working, testing and debugging for it is a nightmare. Any issues that you find feel free to let me know so I can address them.

## Character information:
Rather than have tons of in depth info here, where it is tricky to update, I will just leave simple explanations of the skills and have in depth info on the github wiki.

### Base Stats
- 16 damage
- 100 hp
- All other stats are identical to other ranged survivors (commando, artificer, huntress)

### Headshot (passive)
- Deal 50% extra damage when hitting some enemies in the head
- Works on almost all enemies now
- Tried to make the weak points intuitive, but let me know if something feels off

### Snipe
- Does 250% base damage
- Perfect reload = 2x damage (pierce + ricochet)
- Good reload = 1.45x damage (pierce)
- Bad reload = 0.75x damage
- Ricochet has a chance to occur, that chance is based on the angle that the shot hit the surface.
- No limit to number of bounces per shot, clovers do work on this.

### Steady Aim
- Aim down the scope of the rifle
- Can use the mousewheel to zoom in and out
- You move slower while aiming
- While aiming shots charge up and gain damage and other effects
- When charged to red, firing will put this skill on cooldown (can still aim though) and do much more damage

### Military Training
- Dash forward in the direction of your character's velocity
- While dashing and for a very short duration after gain invisibility
- Invisibility causes enemies to lose focus if you break line of sight
- The direction of this skill is only affected by the direction your character is moving
- Aim direction and the movement keys have no impact

### Snare Trap
- Places a trap mine on the ground or on an enemy
- When activated creates a cripple zone that reduces armor and movespeed for all enemies inside
- Pulls nearby enemies towards the middle with a weak vortex effect
- In addition, will periodically send hooks out to the most distant enemies and drag them closer to the middle
- Lasts for 10 seconds after triggering
- Does no damage, and cannot apply items

## Future plans (Subject to change)
### Real soon
- More improvments to sound and visuals (Maybe custom sounds?)
- Custom crosshair and more features for scope view
- Getting rid of conflicts (will make multiplayer much better)

### Less soon
- Not sure yet

### Later
- Getting animations to look better/work in general

### Eventually
- Custom texture for the model

### Hopefully before the end of the world
- New Model

## Changelog
### 1.0.3
- More reload tweaks
- Tracers improved
- Beetle queen head hitbox fixed
- Templar head hitbox fixed
- Reduced conflicts with other effects (there are still a few to work out)
- Changed charge scaling. Takes less time, does a bit less damage.
- Shots can now bounce
- Fixed sniper being immune to freeze
### 1.0.2
- Reload tweaks
- Charge tweaks
- Tracers for M1
- SFX on M1
- Lots of cleanup
### 1.0.1
- First release
